Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class AbstractPDELaunchConfiguration

    java.lang.Object
      org.eclipse.debug.core.model.LaunchConfigurationDelegate
          org.eclipse.pde.launching.AbstractPDELaunchConfiguration
              org.eclipse.pde.ui.launcher.AbstractPDELaunchConfiguration

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Direct Known Subclasses:
  EclipseApplicationLaunchConfiguration, EquinoxLaunchConfiguration

Deprecated. use `AbstractPDELaunchConfiguration`

    public abstract class AbstractPDELaunchConfiguration

extends AbstractPDELaunchConfiguration

An abstract launch delegate for PDE-based launch configurations

Clients may subclass this class.

Since:
  3.2
See Also:
  `AbstractPDELaunchConfiguration`

Field Summary

Fields inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration
`fConfigDir`

Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

Constructor Summary
`AbstractPDELaunchConfiguration()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration
`clear, getBuildOrder, getClasspath, getConfigDir, getEnvironment, getMainClass, getProgramArguments, getProjectsForProblemSearch, getVMArguments, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, isLaunchProblem, launch, manageLaunch, preLaunchCheck, setDefaultSourceLocator, synchronizeManifests, validatePluginDependencies, validateProjectDependencies`

Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, preLaunchCheck, saveBeforeLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPDELaunchConfiguration

    public AbstractPDELaunchConfiguration()

  Deprecated.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.